/*
 * @Author: Kane
 * @Date: 2022-04-24 10:21:46
 * @LastEditors: Kane
 * @LastEditTime: 2022-04-24 11:28:58
 * @FilePath: \DisasterWarning\src\main\java\com\cpic\xim\notify\disaster\QWeatherDisasterWarning.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.notify.disaster;

import java.util.Date;
import java.util.Vector;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

public class QWeatherDisasterWarning
{
    public QWeatherDisasterWarning()
    {}

    public String getCode()
    {
        return code;
    }

    public void setCode( String code )
    {
        this.code = code;
    }

    public Date getUpdateTime()
    {
        return updateTime;
    }

    public void setUpdateTime( Date updateTime )
    {
        this.updateTime = updateTime;
    }

    public String getFxLink()
    {
        return fxLink;
    }

    public void setFxLink( String fxLink )
    {
        this.fxLink = fxLink;
    }

    public Vector<QWeatherDisasterWarningItem> getWarning()
    {
        return warning;
    }

    public void setWarning( Vector<QWeatherDisasterWarningItem> warning )
    {
        this.warning = warning;
    }

    public QWeatherDisasterWarningRefer getRefer()
    {
        return refer;
    }

    public void setRefer( QWeatherDisasterWarningRefer refer )
    {
        this.refer = refer;
    }

    @JsonProperty( "code")
    private String code;

    @JsonProperty( "updateTime")
    @JsonFormat( pattern = "yyyy-MM-dd\'T\'HH:mmXXX")
    private Date updateTime;

    @JsonProperty( "fxLink")
    private String fxLink;

    @JsonProperty( "warning")
    private Vector<QWeatherDisasterWarningItem> warning;

    @JsonProperty( "refer")
    private QWeatherDisasterWarningRefer refer;
}
